/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/constants/config';
@use 'shop/resources/scss/base/mixins/breakpoints';

.arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    z-index: 1;
    top: calc(50% - 20px);
    height: 40px;
    opacity: 0.5;
    padding: 3px;
    background-color: colors.$color-white;
    cursor: pointer;

    @include breakpoints.screen-m-and-up {
        top: calc(50% - 30px);
        height: 60px;
        padding: 10px 10px 10px 7px;
    }

    @include breakpoints.screen-l-and-up {
        top: calc(50% - 40px);
        height: 80px;
    }

    &:focus {
        box-shadow: 0 0 0 1px colors.$color-black;
    }
}

.arrowBig {
    opacity: 0.8;
    top: 0;
    padding: 10px;
    height: config.$product-tile-min-height;
}

.arrowLeft {
    left: 0;

    @include breakpoints.screen-m-and-up {
        padding-left: 7px;
    }
}

.arrowRight {
    right: 0;

    @include breakpoints.screen-m-and-up {
        padding-right: 7px;
    }
}

.arrowDisabled {
    opacity: 0.2;
}
